import { SelectorPaths, SelectorValue } from '../helpers/stringSelector';
import { Store } from './store';
export declare type UseStoreStateOptions = {
    throttle?: number;
};
export declare function useStoreState<T>(store: Store<T>, options?: UseStoreStateOptions): T;
export declare function useStoreState<T, S>(store: Store<T>, selector: (state: T) => S, dependencies?: any[], options?: UseStoreStateOptions): S;
export declare function useStoreState<T, K extends SelectorPaths<T>>(store: Store<T>, selector: K, options?: UseStoreStateOptions): SelectorValue<T, K>;
